<p align="center"><a href="https://protevus.com" target="_blank"><img src="https://git.protevus.com/protevus/branding/raw/branch/main/protevus-logo-bg.png"></a></p>

[![Twitter Follow](https://img.shields.io/twitter/follow/Protevus?style=social)](https://twitter.com/Protevus)

Protevus is an innovative and open-source application server platform for the Dart programming language. Inspired by the Laravel framework, Protevus aims to provide a familiar and Laravel-compatible API, allowing developers to leverage their existing Laravel knowledge and experience in the Dart ecosystem.

## About

Protevus is a highly versatile and extensible platform built on top of the high-performance, multi-threaded Conduit API. It delivers exceptional scalability and efficiency for demanding applications while embracing open-source principles and encouraging community contributions.

With its modular architecture and support for custom extensions, Protevus can be tailored to meet diverse project requirements, ensuring a seamless and enjoyable development experience. From powerful routing and dependency injection to robust authentication, authorization, and database abstraction, Protevus empowers developers to focus on creating without worrying about the small details.

## Features

- **Laravel API Compatibility**: Offers a high degree of compatibility with the Laravel API, enabling developers to seamlessly transition from Laravel to the Dart ecosystem.
- **Modular Architecture**: Follows a modular design, separating core components and libraries from specific application implementations, promoting reusability and maintainability.
- **High Performance**: Built on top of the multi-threaded Conduit API, delivering exceptional performance and scalability for demanding applications.
- **Extensibility**: With its modular architecture and support for custom extensions, Protevus can be tailored to meet diverse project requirements.
- **Community-Driven**: Embraces open-source principles and encourages community contributions, fostering collaboration and knowledge sharing.

## Getting Started

To get started with Protevus, visit the [Protevus Platform](https://github.com/protevus/platform) and [Protevus Application](https://github.com/protevus/protevus) repositories for installation instructions, documentation, and examples.

## Contributing

We welcome contributions from the community! If you're interested in contributing to Protevus, please read our [Contributing Guide](CONTRIBUTING.md) for information on how to get started.

## Support and Community

If you have any questions, issues, or suggestions, please join our community:

- **GitHub Discussions**: [github.com/protevus/platform/discussions](https://github.com/protevus/platform/discussions)
- **Twitter**: [@Protevus](https://twitter.com/Protevus)

## License

Protevus is open-sourced software licensed under the [MIT License](LICENSE).

